Package org.h2gis.functions.io.shp.internal

## Class ShapefileHeader

- java.lang.Object
- - org.h2gis.functions.io.shp.internal.ShapefileHeader

    public class ShapefileHeader
    extends Object

Author:
  jamesm, Ian Schneider
See Also:
  ShapefileHeader.java

### Field Summary

Fields
`static int` `MAGIC`
`static int` `VERSION`

### Constructor Summary

Constructors
`ShapefileHeader()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getFileLength()`
`ShapeType` `getShapeType()`
`int` `getVersion()`
`double` `maxX()`
`double` `maxY()`
`double` `minX()`
`double` `minY()`
`void` `read​(ByteBuffer file)`
`String` `toString()`
`void` `write​(WriteBufferManager shapeBuffer, ShapeType type, int numGeoms, int length, double minX, double minY, double maxX, double maxY)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MAGIC

    public static final int MAGIC

See Also:
  Constant Field Values

#### VERSION

    public static final int VERSION

See Also:
  Constant Field Values

### Constructor Detail

#### ShapefileHeader

    public ShapefileHeader()

### Method Detail

#### read

    public void read​(ByteBuffer file)
              throws IOException

Throws:
  `IOException`

#### write

    public void write​(WriteBufferManager shapeBuffer,
                      ShapeType type,
                      int numGeoms,
                      int length,
                      double minX,
                      double minY,
                      double maxX,
                      double maxY)
               throws IOException

Throws:
  `IOException`

#### getShapeType

    public ShapeType getShapeType()

#### getVersion

    public int getVersion()

#### getFileLength

    public int getFileLength()

#### minX

    public double minX()

#### minY

    public double minY()

#### maxX

    public double maxX()

#### maxY

    public double maxY()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`